## GtkMisc GtkMisc |

## Functions

void | gtk_misc_set_alignment ()
void | gtk_misc_set_padding ()
void | gtk_misc_get_alignment ()
void | gtk_misc_get_padding ()

## Properties

float | xalign | Read / Write
int | xpad | Read / Write
float | yalign | Read / Write
int | ypad | Read / Write

## Types and Values

struct | GtkMisc

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkMisc
                        ├── GtkLabel
                        ├── GtkArrow
                        ├── GtkImage
                        ╰── GtkPixmap

## Implemented Interfaces

GtkMisc implements AtkImplementorIface and GtkBuildable.

## Includes

    #include <gtk/gtk.h>

## Description

## Functions

### gtk_misc_set_alignment ()

    void
    gtk_misc_set_alignment (GtkMisc *misc,
                            gfloat xalign,
                            gfloat yalign);

### gtk_misc_set_padding ()

    void
    gtk_misc_set_padding (GtkMisc *misc,
                          gint xpad,
                          gint ypad);

### gtk_misc_get_alignment ()

    void
    gtk_misc_get_alignment (GtkMisc *misc,
                            gfloat *xalign,
                            gfloat *yalign);

Gets the X and Y alignment of the widget within its allocation. See `gtk_misc_set_alignment()`.

#### Parameters

misc | a GtkMisc |
xalign | location to store X alignment of `misc` , or `NULL`. | [out][allow-none]
yalign | location to store Y alignment of `misc` , or `NULL`. | [out][allow-none]

### gtk_misc_get_padding ()

    void
    gtk_misc_get_padding (GtkMisc *misc,
                          gint *xpad,
                          gint *ypad);

Gets the padding in the X and Y directions of the widget. See `gtk_misc_set_padding()`.

#### Parameters

misc | a GtkMisc |
xpad | location to store padding in the X direction, or `NULL`. | [out][allow-none]
ypad | location to store padding in the Y direction, or `NULL`. | [out][allow-none]

## Types and Values

### struct GtkMisc

    struct GtkMisc;

## Property Details

### The `“xalign”` property

      “xalign”                   float

The horizontal alignment, from 0 (left) to 1 (right). Reversed for RTL layouts.

Owner: GtkMisc

Flags: Read / Write

Allowed values: [0,1]

Default value: 0.5

### The `“xpad”` property

      “xpad”                     int

The amount of space to add on the left and right of the widget, in pixels.

Owner: GtkMisc

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“yalign”` property

      “yalign”                   float

The vertical alignment, from 0 (top) to 1 (bottom).

Owner: GtkMisc

Flags: Read / Write

Allowed values: [0,1]

Default value: 0.5

### The `“ypad”` property

      “ypad”                     int

The amount of space to add on the top and bottom of the widget, in pixels.

Owner: GtkMisc

Flags: Read / Write

Allowed values: >= 0

Default value: 0